"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_enable_pretty_printing
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_enable_pretty_printing class methodsFor:'documentation'!

documentation
"
The `-enable-pretty-printing' Command
-------------------------------------

     -enable-pretty-printing

   {No value for `GDBN'} allows Python-based visualizers to affect the
output of the MI variable object commands.  However, because there was
no way to implement this in a fully backward-compatible way, a front
end must request that this functionality be enabled.

   Once enabled, this feature cannot be disabled.

   Note that if Python support has not been compiled into {No value for
`GDBN'}, this command will still succeed (and do nothing).

   This feature is currently (as of {No value for `GDBN'} 7.0)
experimental, and may work differently in future versions of {No value
for `GDBN'}.


"
! !

!GDBMI_enable_pretty_printing methodsFor:'accessing'!

operation
	^ 'enable-pretty-printing'
! !

