"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_gdb_set
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_gdb_set class methodsFor:'documentation'!

documentation
"
The `-gdb-set' Command
----------------------

Synopsis
........

      -gdb-set

   Set an internal {No value for `GDBN'} variable.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `set'.

Example
.......

     (gdb)
     -gdb-set $foo=3
     ^done
     (gdb)


"
! !

!GDBMI_gdb_set methodsFor:'accessing'!

operation
	^ 'gdb-set'
! !

