"{ Package: 'jv:libgdbs' }"

TestCase subclass:#GDBSimulatorProcessTests
	instanceVariableNames:'events simulator debugger'
	classVariableNames:''
	poolDictionaries:'GDBCommandStatus'
	category:'GDB-Private-Tests'
!

!GDBSimulatorProcessTests methodsFor:'running'!

tearDown
    simulator notNil ifTrue:[ simulator stop ].
    debugger notNil ifTrue:[ debugger release ].
    events := nil.

    "Created: / 24-06-2014 / 13:10:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBSimulatorProcessTests methodsFor:'tests'!

test_01
    events := OrderedCollection new.
    simulator := GDBSimulatorProcess new record: GDBSimulatorResource session_factorial_01.
    simulator start.
    debugger := GDBDebugger newWithProcess: simulator.
    debugger announcer on: GDBEvent do:[:ev | events add: ev ].

    self assert: events isEmpty.

    "Created: / 24-06-2014 / 13:08:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

