"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_symbol_list_lines
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_symbol_list_lines class methodsFor:'documentation'!

documentation
"
The `-symbol-list-lines' Command
--------------------------------

Synopsis
........

      -symbol-list-lines FILENAME

   Print the list of lines that contain code and their associated
program addresses for the given source filename.  The entries are
sorted in ascending PC order.

{No value for `GDBN'} Command
.............................

There is no corresponding {No value for `GDBN'} command.

Example
.......

     (gdb)
     -symbol-list-lines basics.c
     ^done,lines=[{pc='0x08048554',line='7'},{pc='0x0804855a',line='8'}]
     (gdb)


"
! !

!GDBMI_symbol_list_lines methodsFor:'accessing'!

operation
	^ 'symbol-list-lines'
! !

!GDBMI_symbol_list_lines class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

